summaryrefslogtreecommitdiffstats
path: root/gis/google-earth
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2016-06-09 08:16:52 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-06-10 08:02:42 +0700
commitc1d95803d5ebe7d4e5ad87a6170a8186b906de49 (patch)
tree247e0af66cdb038a196d19910ea3626fef36dbb3 /gis/google-earth
parent34073f58dd6b2398cb6488c64da902c74bae3fcf (diff)
downloadslackbuilds-c1d95803d5ebe7d4e5ad87a6170a8186b906de49.tar.gz
slackbuilds-c1d95803d5ebe7d4e5ad87a6170a8186b906de49.tar.xz
gis/google-earth: Moved from multimedia/ category.
Signed-off-by: David Spencer <baildon.research@googlemail.com>
Diffstat (limited to 'gis/google-earth')
-rw-r--r--gis/google-earth/README54
-rw-r--r--gis/google-earth/doinst.sh14
-rw-r--r--gis/google-earth/google-earth-mimetypes.xml20
-rw-r--r--gis/google-earth/google-earth.SlackBuild91
-rw-r--r--gis/google-earth/google-earth.info10
-rw-r--r--gis/google-earth/slack-desc19
6 files changed, 208 insertions, 0 deletions
diff --git a/gis/google-earth/README b/gis/google-earth/README
new file mode 100644
index 0000000000..da8ba96195
--- /dev/null
+++ b/gis/google-earth/README
@@ -0,0 +1,54 @@
+google-earth (Google's famous virtual globe)
+
+Google Earth is a virtual globe program. It maps a version of the
+Earth by the superimposition of images obtained from satellite
+imagery, aerial photography and GIS over a 3D globe. You point
+and zoom to any place on the planet that you want to explore.
+Satellite images and local facts zoom into view. Tap into Google
+search to show local points of interest and facts. Zoom to a
+specific address to check out an apartment or hotel. View driving
+directions and even fly along your route.
+
+The degree of resolution available is based somewhat on the points
+of interest, but most land (except for some islands) is covered in at
+least 15 meters of resolution.
+
+When running GoogleEarth for the first time, you will see an error
+message stating that it is unable to find the Bitstream Vera fonts.
+This should be safe to ignore - it will use other fonts (and the
+DejaVu fonts included with Slackware are based on the Bitstream fonts).
+
+NOTES:
+1) Google updates the GoogleEarth bin-file without changing the download
+ link location and they don't use version numbering in the filename
+ (the version is more an internal numbering).
+
+ Therefore, this script is subject to failing (and a different MD5SUM)
+ at any time due to the fact that you might get a newer version
+ of GoogleEarth than what the script is designed to use. Please notify
+ the maintainer if this is the case.
+
+2) Google Earth 7 is "LSB compliant" meaning it was built on a LSB system.
+ Slackware however does not have that symlink which is part of the LSB 3.0
+ specification. You'll need to create the symlink manually after installing
+ the package:
+
+ ln -sf /lib/ld-linux.so.2 /lib/ld-lsb.so.3
+
+3) Google Earth tends to crash when the 65-fonts-persion.conf is available on
+ the system. aPlease remove /etc/fonts/conf.d/65-fonts-persian.conf prior
+ launching this application. The easiest way to do this is:
+
+ mv /etc/fonts/conf.d/65-fonts-persian.conf \
+ /etc/fonts/conf.d/65-fonts-persian.conf.old
+
+4) GoogleEarth is a 32bit application only. You need to have the 32bit
+ compatibility packages installed to have this work on a 64bit system.
+ Otherwise you'll just see "no such file or directory" errors. I am aware
+ that Google puts a 64bits debian package out, but this is a 32bits package
+ with a 64bit wrapper for debian that installs multilib
+
+5) GoogleEarth now requires that you have OpenGL drivers installed on your
+ system (and Xorg configured to use them). Not doing so will cause X
+ to crash.
+
diff --git a/gis/google-earth/doinst.sh b/gis/google-earth/doinst.sh
new file mode 100644
index 0000000000..58989910ea
--- /dev/null
+++ b/gis/google-earth/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime > /dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/gis/google-earth/google-earth-mimetypes.xml b/gis/google-earth/google-earth-mimetypes.xml
new file mode 100644
index 0000000000..8850ee973e
--- /dev/null
+++ b/gis/google-earth/google-earth-mimetypes.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0"?>
+<mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>
+ <mime-type type="application/vnd.google-earth.kml+xml">
+ <comment>Keyhole Markup Language data</comment>
+ <glob pattern="*.kml"/>
+ </mime-type>
+
+ <mime-type type="application/vnd.google-earth.kmz">
+ <comment>Keyhole Markup Language archive</comment>
+ <glob pattern="*.kmz"/>
+ </mime-type>
+
+ <mime-type type="application/keyhole">
+ <comment>Keyhole Markup Language data</comment>
+ </mime-type>
+
+ <mime-type type="application/earthviewer">
+ <comment>Keyhole Markup Language data</comment>
+ </mime-type>
+</mime-info>
diff --git a/gis/google-earth/google-earth.SlackBuild b/gis/google-earth/google-earth.SlackBuild
new file mode 100644
index 0000000000..2a475aab97
--- /dev/null
+++ b/gis/google-earth/google-earth.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for google-earth
+
+# Copyright 2007-2013 Michiel van Wessem, Manchester, United Kingdom
+# Copyright 2016 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 2013 - A lot of thanks to Willy Sudiarto Raharjo for his input and help
+# with converting the script to work with googles .deb packages.
+
+# Thanks to rworkman for the additional code and script cleanups
+# and to Daniel de Kok and Alan_Hicks for their comments.
+
+PRGNAM=google-earth
+VERSION=${VERSION:-7.1.4.1529}
+ARCH=i386 # Since this is the arch google dictates
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# No flags/configure needed as it is just a binary repackaging.
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/google-earth-stable_current_i386.deb data.tar.lzma | lzma -d | tar xv
+cd $PKG
+chown -R root:root .
+# Fix Google braindeadness (and mine)
+find . -type d -exec chmod 0755 {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Sadly (by lack of politer word), Google has some inconsistent permissions
+# for normal files; this should deal with them rather nicely.
+find -L . \( -name "*.png" -o -name "*.kml" -o -name "*.xml" \) -exec chmod 0644 {} \;
+
+# Install a .desktop launcher:
+mv $PKG/opt/google/earth/free/google-earth.desktop $PKG/usr/share/applications/google-earth.desktop
+
+# Copy icons to /usr/share/icons
+for icon in 16 22 24 32 48 64 128 256; do
+ install -D $PKG/opt/google/earth/free/product_logo_${icon}.png \
+ $PKG/usr/share/icons/hicolor/${icon}x${icon}/apps/${PRGNAM}.png
+done
+
+# Install mimetypes
+mkdir -p $PKG/usr/share/mime/packages/
+cat $CWD/google-earth-mimetypes.xml > $PKG/usr/share/mime/packages/$PRGNAM-mimetypes.xml
+
+# Let's take care of documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/opt/google/earth/free/gpl.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Clean up cruft/unneeded directories.The cron job in /etc is for Debian/Ubuntu only:
+rm -rf $PKG/etc
+rm -rf $PKG/usr/share/{man,menu,gnome-control-center}
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/google-earth/google-earth.info b/gis/google-earth/google-earth.info
new file mode 100644
index 0000000000..f04314a331
--- /dev/null
+++ b/gis/google-earth/google-earth.info
@@ -0,0 +1,10 @@
+PRGNAM="google-earth"
+VERSION="7.1.4.1529"
+HOMEPAGE="http://www.google.com/earth/index.html"
+DOWNLOAD="http://dl.google.com/dl/earth/client/current/google-earth-stable_current_i386.deb"
+MD5SUM="b8847cb867bdb3ff892149f0fd68f036"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/gis/google-earth/slack-desc b/gis/google-earth/slack-desc
new file mode 100644
index 0000000000..f8117cb8d7
--- /dev/null
+++ b/gis/google-earth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+google-earth: google-earth (Google's famous virtual globe)
+google-earth:
+google-earth: Google Earth is a virtual globe program. It maps a version of the
+google-earth: Earth by the superimposition of images obtained from satellite
+google-earth: imagery, aerial photography and GIS over a 3D globe. You point
+google-earth: and zoom to any place on the planet that you want to explore.
+google-earth: Satellite images and local facts zoom into view.
+google-earth:
+google-earth: !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+google-earth: If google-earth fails to run, first consult the NOTES in the README.
+google-earth: !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!